-*- org-mode -*-

* clwars

Text based trading/adventure sim.

** Description
CL-Wars is a text based game made for fun, highly inspired by
Space Trader, Drug Wars, FTL, Roguelikes, STALKER, WH40k, and
many more.

In CL-Wars you are a rogue trader on the edge of an poorly charted
and unfriendly galaxy. Ply your wares, capture archeotech, and
purge xenomorphs in the fires of your guns.

NOTE: This 'game' is just a playground for me to play with Lisp. It is not a reference for
'good'/idomatic CL software and is not really intended to be useful or playable.

** Systems
*** Systems
- Ship Systems
  - Hull Integrity
    - When 0 game over
  - Repulsor Shield
    - Each % of shield integrity reduces damage by some %
  - Warp Drive
    - How far you can jump per 1 fuel
  - Reactors
    - Powers warp drive and warp field
    - Will always have some power, but if power is too low
      you with have to jump without a warp field
  - Munitions
    - Ammo for weapons
  - Warp Field
    - Jumping without a warp field will have random effects
- Weapons Systems
  - Weapons have attributes depending on type
  - Plasma Weapon
    - Expensive/high damamge
  - Beam Weapon
    - High hull damage, low shield damage
  - Explosive Weapon
    - Average hull damage, average shield damage
- Money/Economy
  - Used to upgrade ship components/crew
  - Can trade spice (variable cost in systems), but your crew will
    consume it based on their happiness
  - Can trade archeotech (AT has characteristics that may be desireable to
    different planetary systems)
- Crew Systems
  - Crew needs gruel for food
  - Crew will be happier if spice is present on the ship
  - Crew members can give buffs
    to other parts of the ship
  - Sanity/Moral (impacted by availability of spice and/or horrors of the warp)
- Hazard/Boon System
  - Each sector contains a hazard and a boon
    - A hazard is a combat encounter or some kind of negative event
    - The boon is some kind of positive event
    - The likelihood of either depends on sanity calculation
      - Perhaps flesh out equipment system for 'boon' hunting
